
Name:		srtp
Summary:	Secure Real-time Transport Protocol (SRTP)
Group:		System/Libraries
Version:	1.4.5
Release:	%mkrel -c 20130723 2
License:	GPL
URL:		http://srtp.sourceforge.net/
# (fwang) archived from:
# https://github.com/cisco/libsrtp
Source0:	%{name}-%{version}.tgz
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%{name}-static-devel < %{version}-%{release}

%description
SRTP is a security profile for RTP that adds confidentiality, message 
authentication, and replay protection to that protocol. It is specified 
in RFC 3711.


%prep
%setup -qn %{name}

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure2_5x \
	--enable-pic \
	--enable-syslog \
	--enable-generic-aesicm

%make
%make libsrtp.a

%install
%makeinstall_std

%files
%doc CHANGES README
%{_includedir}/%{name}
%{_libdir}/*.a


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.4.5-0.20130723.2.mga4
+ Revision: 530860
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 fwang <fwang> 1.4.5-0.20130723.1.mga4
+ Revision: 460497
- update srtp for new kopete

* Mon Jan 14 2013 umeabot <umeabot> 1.4.4-3.mga3
+ Revision: 382617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 08 2011 ze <ze> 1.4.4-2.mga2
+ Revision: 102053
- imported package srtp


* Fri Jun 03 2011 Zé <ze@mandriva.org> 1.4.4-2.mde1
- import to mageia
- fix renaming

* Sat Dec 18 2010 Lonyai Gergely <aleph@mandriva.org> 1.4.4-2mdv2011.0
+ Revision: 622766
- Add -fPIC to CFLAGS

* Wed Nov 24 2010 Lonyai Gergely <aleph@mandriva.org> 1.4.4-1mdv2011.0
+ Revision: 600451
- 1.4.4

* Wed Nov 24 2010 Lonyai Gergely <aleph@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 600442
- 1.4.2
  initial version
- create srtp

